Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Deployment ID

Response

Deployment retrieved successfully

Deployment record information.

id
string
required

Unique identifier for the deployment

Example:

"rr33xuugxj9h0bkf1rdt2bet"

status
enum<string>
required

Current status of the deployment

Available options:
queued,
in_progress,
running,
failed,
stopped
Example:

"queued"

region
string
required

Deployment region code

Allowed value: "aws.us-east-1a"
Example:

"aws.us-east-1a"

created_at
string<date-time>
required

Timestamp when the deployment was created

status_reason
string

Status reason

Example:

"Deployment in progress"

entrypoint_rel_path
string

Relative path to the application entrypoint

Example:

"src/app.py"

env_vars
object

Environment variables configured for this deployment

updated_at
string<date-time> | null

Timestamp when the deployment was last updated